Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum TerminalConnectionState

    java.lang.Object
      java.lang.Enum<TerminalConnectionState>
          com.nortel.soa.oi.cct.types.TerminalConnectionState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TerminalConnectionState>

    public enum TerminalConnectionState

extends java.lang.Enum<TerminalConnectionState>

Java class for terminalConnectionState.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="terminalConnectionState">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="IDLE"/>
         <enumeration value="RINGING"/>
         <enumeration value="ACTIVE"/>
         <enumeration value="HELD"/>
         <enumeration value="AUTOHELD"/>
         <enumeration value="INUSE"/>
         <enumeration value="BRIDGED"/>
         <enumeration value="DROPPED"/>
         <enumeration value="UNKNOWN"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACTIVE`
`AUTOHELD`
`BRIDGED`
`DROPPED`
`HELD`
`IDLE`
`INUSE`
`RINGING`
`UNKNOWN`

Method Summary
`static TerminalConnectionState` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static TerminalConnectionState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TerminalConnectionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IDLE

    public static final TerminalConnectionState IDLE

### RINGING

    public static final TerminalConnectionState RINGING

### ACTIVE

    public static final TerminalConnectionState ACTIVE

### HELD

    public static final TerminalConnectionState HELD

### AUTOHELD

    public static final TerminalConnectionState AUTOHELD

### INUSE

    public static final TerminalConnectionState INUSE

### BRIDGED

    public static final TerminalConnectionState BRIDGED

### DROPPED

    public static final TerminalConnectionState DROPPED

### UNKNOWN

    public static final TerminalConnectionState UNKNOWN

Method Detail

### values

    public static TerminalConnectionState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TerminalConnectionState c : TerminalConnectionState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TerminalConnectionState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static TerminalConnectionState fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.